Holger's Java API

## com.antelmann.ooffice
Class OODraw

    java.lang.Object
      com.antelmann.ooffice.AbstractOfficeDocument
          com.antelmann.ooffice.OODraw

All Implemented Interfaces:
  OfficeDocument, QueryMechanism, Closeable

    public class OODraw

extends AbstractOfficeDocument

Since:
  09.12.2009, 21:05:38
Author:
  holger

Constructor Summary
`OODraw()` creates a visible blank new drawing
`OODraw(boolean hidden)`
`OODraw(File file, Map<?,?> props)`
`OODraw(InputStream in, Map<?,?> props)` loads a drawing (the given stream) into a blank frame along with the given properties
`OODraw(URL url, boolean hidden)`
`OODraw(URL url, Map<?,?> props)` loads a document (the given file) into a blank frame along with the given properties
`OODraw(com.sun.star.lang.XComponent component)`

Method Summary
`static OODraw` `getActiveDocument()` seeks the currently active document on the desktop (if any) and returns it
`OODocType` `getDocumentType()`
`com.sun.star.lang.XComponent` `getXComponent()`
`static OODraw` `load(File file, boolean hidden)`
`static OODraw` `load(URL url, boolean hidden)`

Methods inherited from class com.antelmann.ooffice.AbstractOfficeDocument

`addCloseListener, close, dispatchCommand, dispatchCommand, dispatchCommand, dispatchCommand, dispose, exportAsHTMLString, exportAsString, exportFormat, exportHTML, exportPDF, exportToHTML, exportToPDF, formatText, formatText, formatText, formatText, getController, getDocumentProperties, getFile, getFont, getHtmlFormat, getPdfFormat, getXFrame, print, print, print, print, print, query, save, setComponentVisible, setEnableComponent, setEnableFrame, setFrameVisible, setPageOrientation, setPropertyValue, storeTo, storeTo, storeTo, storeTo, storeTo, undo, updateAll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OODraw

    public OODraw(com.sun.star.lang.XComponent component)

### OODraw

    public OODraw()
           throws OfficeException

  creates a visible blank new drawing

  Throws:
    `OfficeException`

### OODraw

    public OODraw(boolean hidden)
           throws OfficeException

Throws:
  `OfficeException`

### OODraw

    public OODraw(URL url,
                  boolean hidden)
           throws OfficeException,
                  IOException

Throws:
  `OfficeException`
  `IOException`

### OODraw

    public OODraw(InputStream in,
                  Map<?,?> props)
           throws OfficeException,
                  IOException

  loads a drawing (the given stream) into a blank frame along with the given properties

  Throws:
    `OfficeException`
    `IOException`

### OODraw

    public OODraw(File file,
                  Map<?,?> props)
           throws OfficeException,
                  IOException

Throws:
  `OfficeException`
  `IOException`

### OODraw

    public OODraw(URL url,
                  Map<?,?> props)
           throws OfficeException,
                  IOException

  loads a document (the given file) into a blank frame along with the given properties

  Throws:
    `OfficeException`
    `IOException`

Method Detail

### getActiveDocument

    public static OODraw getActiveDocument()
                                    throws OfficeException

  seeks the currently active document on the desktop (if any) and returns it

  Throws:
    `OfficeException`

### load

    public static OODraw load(File file,
                              boolean hidden)
                       throws OfficeException,
                              IOException

  Throws:
    `OfficeException`
    `IOException`

### load

    public static OODraw load(URL url,
                              boolean hidden)
                       throws OfficeException,
                              IOException

  Throws:
    `OfficeException`
    `IOException`

### getDocumentType

    public OODocType getDocumentType()

### getXComponent

    public com.sun.star.lang.XComponent getXComponent()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads